String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fResT(){
	if(confirm("Esta seguro que desea Aplicar Restringir Ventas por Stock")==true){
		document.getElementById("TxtAc").value="R";
		document.getElementById("Frm").submit();
	}else{
		return;
	}
}
//**************************************************************************
function fBusT(){
	if(confirm("Esta seguro que desea Aplicar Filtrar Descripcion Avanzado")==true){
		document.getElementById("TxtAc").value="B";
		document.getElementById("Frm").submit();
	}else{
		return;
	}
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtNom").value="";
	document.getElementById("TxtObs").value="";
	document.getElementById("TxtDir").value="";
	document.getElementById("CheRes").checked="";
	document.getElementById("CheBus").checked="";

	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="";
	document.getElementById("TxtNom").focus();
}
//**************************************************************************
function fGuardar(){
	var Nom=document.getElementById("TxtNom").value;
	var Obs=document.getElementById("TxtObs").value;
	if(Nom.trim().length==0){
		alert("Ingrese el nombre del almacen");
		document.getElementById("TxtNom").focus();
		return;
	}
	if(Obs.trim().length==0){
		alert("Ingrese un nombre corto");
		document.getElementById("TxtObs").focus();
		return;
	}
	if(document.getElementById("CmdG").value=="Guardar"){
		document.getElementById("TxtAc").value="G";
	}else{
		document.getElementById("TxtAc").value="M";
	}
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
